<?php
require('category_func.php');
 
//**********************************************************************************
 
$_SESSION['listParams']['searchVisible'] = 1;
if (isset($_POST))
{
$_SESSION['listParams']['searchField'][0] = 'category_name';
}
 
$_SESSION['listParams']['listSql'] = "select category_id, category_name from category";
$_SESSION['listParams']['module']	= "Category";
 
$_SESSION['listParams']['page']				    = 0;
$_SESSION['listParams']['offset']			    = 30; //the number of records to display per page
$_SESSION['listParams']['parentId']			  = ""; //
$_SESSION['listParams']['moduleFolder']		= "category";
$_SESSION['listParams']['modulePage']      = "index.php";
$_SESSION['listParams']['moduleIdField']   = "category_id";
$_SESSION['listParams']['moduleDescField']	= "category_name";
$_SESSION['listParams']['orderField']		  = 0;
$_SESSION['listParams']['orderDirection']	= 0;
 
$_SESSION['listParams']['listHeadings'][0] = "Category Name";
if ($_SESSION['user']['access_level'] >= 3) 
{
  $_SESSION['listParams']['listHeadings'][1] = ""; //view
}
if ($_SESSION['user']['access_level'] >= 6) 
{
  $_SESSION['listParams']['listHeadings'][2] = ""; //edit
}
if ($_SESSION['user']['access_level'] >= 9) 
{
  $_SESSION['listParams']['listHeadings'][3] = ""; //delete
}
$_SESSION['listParams']['listHeadingWidth'][0] = "28%";
if ($_SESSION['user']['access_level'] >= 3) 
{
  $_SESSION['listParams']['listHeadingWidth'][1] = "5%"; //view
}
if ($_SESSION['user']['access_level'] >= 6) 
{
  $_SESSION['listParams']['listHeadingWidth'][2] = "5%"; //edit
}
if ($_SESSION['user']['access_level'] >= 9) 
{
  $_SESSION['listParams']['listHeadingWidth'][3] = "5%"; //delete
}
$_SESSION['listParams']['listFields'][0]['field'] = "category_name";
if ($_SESSION['user']['access_level'] >= 3) 
{
  $_SESSION['listParams']['listFields'][1]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_VIEW."' title='View --!--'></i>";
  $_SESSION['listParams']['listFields'][1]['onClick'] = " onClick='viewCategory(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= 6) 
{
  $_SESSION['listParams']['listFields'][2]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_EDIT."' title='Modify --!--'></i>";
  $_SESSION['listParams']['listFields'][2]['onClick'] = " onClick='editCategory(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= 9) 
{
  $_SESSION['listParams']['listFields'][3]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_DELETE."' title='Delete --!--'></i>";
  $_SESSION['listParams']['listFields'][3]['onClick'] = " onClick='deleteCategory(\"--#--\",\"--!--\")' ";
}
SableGeneralFunctions::callDataList();
?>
